<div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingPage">
  <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
    <form class="example-form" [formGroup]="formGroup" (ngSubmit)="onFormSubmit(formGroup.value)" ngNativeValidate>
      Saison estivale<label class="switch">
        <input type="checkbox" formControlName="summer">
        <span class="slider round"></span>
      </label><br>
      Saison hivernale<label class="switch">
        <input type="checkbox" formControlName="winter">
        <span class="slider round"></span>
      </label><br>
      <button class='form-control btn btn-primary' type='submit' (click)="onFormSubmit(formGroup.value)" [disabled]='!festivePeriodForm.valid'>Sauvegarder
        saison active</button>
    </form>
  </div>
</div>

<div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingPage">
  <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
    <div id="panel-flat-reservation" class="panel panel-flat-reservation">
      <div class="col-xs-12">
        <h4> Modifier dates saisons</h4>
      </div>
      <div class="panel-body">
        <div class="row">
          <div class="col-lg-12">
            <form [formGroup]="seasonForm" (ngSubmit)="seasonForm.valid && updateSeasonDates(seasonForm.value)"
              novalidate>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début saison estivale:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startSummerSeason" [ngModel]="seasonSummer?.seasonBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin saison estivale:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endSummerSeason" [ngModel]="seasonSummer?.seasonEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début inter-saison estivale/hivernale:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startInterSummerSeason" [ngModel]="seasonInterSummer?.seasonBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin inter-saison estivale/hivernale:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endInterSummerSeason" [ngModel]="seasonInterSummer?.seasonEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début saison hivernale:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startWinterSeason" [ngModel]="seasonWinter?.seasonBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin saison hivernale:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endWinterSeason" [ngModel]="seasonWinter?.seasonEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début inter-saison hivernale/estivale:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startInterWinterSeason" [ngModel]="seasonInterWinter?.seasonBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin inter-saison hivernale/estivale:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endInterWinterSeason" [ngModel]="seasonInterWinter?.seasonEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group">
                <div class="col-sm-12 ">
                  <button class='form-control btn btn-primary' type='submit' [disabled]='!seasonForm.valid'>Valider
                    les changements</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="my-auto col-md-12 col-md-offset-3" *ngIf="loadingPage">
  <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
    <div id="panel-flat-reservation" class="panel panel-flat-reservation">
      <div class="col-xs-12">
        <h4> Modifier dates périodes festives</h4>
      </div>
      <div class="panel-body">
        <div class="row">
          <div class="col-lg-12">
            <form [formGroup]="festivePeriodForm" (ngSubmit)="festivePeriodForm.valid && updateFestivePeriodDates(festivePeriodForm.value)"
              novalidate>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début inter-saison hivernale:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startWinterInterSeason" [ngModel]="winterInterSeason?.festivePeriodBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin inter-saison hivernale:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endWinterInterSeason" [ngModel]="winterInterSeason?.festivePeriodEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début Noël:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startChristmas" [ngModel]="christmas?.festivePeriodBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin Noël:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endChristmas" [ngModel]="christmas?.festivePeriodEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début nouvel an:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startNewYear" [ngModel]="newYear?.festivePeriodBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin nouvel an:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endNewYear" [ngModel]="newYear?.festivePeriodEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début Janv/Fev la semaine:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startJanFebWeek" [ngModel]="janFebWeek?.festivePeriodBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin Janv/Fev la semaine:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endJanFebWeek" [ngModel]="janFebWeek?.festivePeriodEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début Vacances Février:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startFebVacation" [ngModel]="febVacation?.festivePeriodBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin Vacances Février:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endFebVacation" [ngModel]="febVacation?.festivePeriodEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début Mars/Avril:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startMarchApril" [ngModel]="marchApril?.festivePeriodBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin Mars/Avril:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endMarchApril" [ngModel]="marchApril?.festivePeriodEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début Vacances de pâques:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startEaster" [ngModel]="easter?.festivePeriodBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin Vacances de pâques:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endEaster" [ngModel]="easter?.festivePeriodEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début inter-saison estivale:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startSummerInterSeason" [ngModel]="summerInterSeason?.festivePeriodBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin inter-saison estivale:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endSummerInterSeason" [ngModel]="summerInterSeason?.festivePeriodEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début basse saison fin juin:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startEndJune" [ngModel]="endJune?.festivePeriodBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin basse saison fin juin:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endEndJune" [ngModel]="endJune?.festivePeriodEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début moyenne saison début Juillet:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startMiddleJuly" [ngModel]="middleJuly?.festivePeriodBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin moyenne saison début Juillet:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endMiddleJuly" [ngModel]="middleJuly?.festivePeriodEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début haute saison Juillet/Août:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startJulyAugust" [ngModel]="julyAugust?.festivePeriodBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin haute saison Juillet/Août:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endJulyAugust" [ngModel]="julyAugust?.festivePeriodEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début moyenne saison Août:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startAugust" [ngModel]="august?.festivePeriodBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin moyenne saison Août:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endAugust" [ngModel]="august?.festivePeriodEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group row">
                <label class="col-2 col-form-label">Date de début basse saison début Septembre:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="startSeptember" [ngModel]="september?.festivePeriodBeginning | date: 'yyyy-MM-dd'">
                </div>
                <label class="col-2 col-form-label">Date de fin basse saison début Septembre:</label>
                <div class="col-4">
                  <input type="date" class="form-control" formControlName="endSeptember" [ngModel]="september?.festivePeriodEnd | date: 'yyyy-MM-dd'">
                </div>
              </div>
              <div class="form-group">
                <div class="col-sm-12 ">
                  <button class='form-control btn btn-primary' type='submit' [disabled]='!festivePeriodForm.valid'>Valider
                    les changements</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
